net.minecraft.client.shader

## Class Shader

- java.lang.Object
- - net.minecraft.client.shader.Shader

-     public class Shader
      extends java.lang.Object

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `Framebuffer` | `framebufferIn`
    `Framebuffer` | `framebufferOut`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `Shader(IResourceManager p_i45089_1_, java.lang.String p_i45089_2_, Framebuffer p_i45089_3_, Framebuffer p_i45089_4_)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addAuxFramebuffer(java.lang.String p_148041_1_, java.lang.Object p_148041_2_, int p_148041_3_, int p_148041_4_)`
    `void` | `deleteShader()`
    `ShaderManager` | `getShaderManager()`
    `void` | `loadShader(float p_148042_1_)`
    `void` | `setProjectionMatrix(javax.vecmath.Matrix4f p_148045_1_)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### framebufferIn

          public final Framebuffer framebufferIn

    - #### framebufferOut

          public final Framebuffer framebufferOut

  - ### Constructor Detail

    - #### Shader

          public Shader(IResourceManager p_i45089_1_,
                java.lang.String p_i45089_2_,
                Framebuffer p_i45089_3_,
                Framebuffer p_i45089_4_)
                 throws JsonException

      Throws:
        `JsonException`

  - ### Method Detail

    - #### deleteShader

          public void deleteShader()

    - #### addAuxFramebuffer

          public void addAuxFramebuffer(java.lang.String p_148041_1_,
                               java.lang.Object p_148041_2_,
                               int p_148041_3_,
                               int p_148041_4_)

    - #### setProjectionMatrix

          public void setProjectionMatrix(javax.vecmath.Matrix4f p_148045_1_)

    - #### loadShader

          public void loadShader(float p_148042_1_)

    - #### getShaderManager

          public ShaderManager getShaderManager()